<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?php


if ($codigolocal == 0)
{
    $erro = "Preencher local";
    $_SESSION["f_retorno"]= $erro;

    if ($acaoRequerida == "atualizar")
    {
        header('location:cadastro.php?reacao=retorno&acao=consultar&'.$p);
    }
    else
    {
       if ($acaoRequerida == "consultar")
       {
          header('location:cadastro.php?acao=consultar&'.$p);
       }
       else
		 {
		    header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
		 }
    }
}

if (strlen($codigousuario) == 0)
{
   $sql1="select codigousuario from cultura.usuario where usuario='$usuario'";
   $result1=pg_query($dbh,$sql1);
   $row1=pg_fetch_array($result1);
   $codigousuario=$row1["codigousuario"];
}
   
$sql = "INSERT INTO cultura.visita(
            codigousuario, datavisita, codigolocal, modificou, idpessoa)
    	VALUES ('$codigousuario', now(), '$codigolocal', '$modificou', $idpessoa)";

$sql = retiraAcentos($sql);

$result = pg_query($dbh, $sql);

if (!$result)
{
//die(pg_last_error());
   $result = pg_query($dbh, "ROLLBACK");
   if (!$result)
   {
   	die("Erro: " . pg_last_error());
      $erroFatal = "Erro em Transa��o Interna do Sistema - Informar Administrador";
      $SESSION["f_retornoFatal"] = $erroFatal;
   }
//	die($sql.pg_last_error());
   $erro = "Erro na Gravacao da Visita do usuario";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   if ($acaoRequerida == "atualizar")
   {
      header('location:cadastro.php?reacao=retorno&acao=consultar&'.$p);
   }
   else
   {
      if ($acaoRequerida == "consultar")
      {
          header('location:cadastro.php?acao=consultar&'.$p);
      }
      else
      {
         header('location:cadastro.php?reacao=retorno&acao=cadastrar&'.$p);
      }
   }
   exit;
}

if ($acao == "consultar")
{
   $sql = "SELECT idpessoa 
	        FROM cultura.usuario
			  WHERE codigousuario = $codigousuario";

	$result=pg_query($dbh, $sql);
	$row=pg_fetch_array($result);
	$idpessoa=$row['idpessoa'];
}

$sql = "INSERT INTO cabcomum.pessoa_historico 
        (
		    idpessoa, 
            idsistema,
            data_comparecimento
        )
        VALUES
        (
		    $idpessoa,
            1,
            now()
        )";
        
$result = pg_query($dbh, $sql);
if (!$result)
{
   die("Erro: ".pg_last_error()."<br>$sql");
   $erro = "Erro na Gravacao da Visita do usuario";
   $_SESSION["f_retorno"]= $erro;
   pg_close($dbh);
   header('location:cadastro.php?acao=consultar&'.$p);
   exit;
}

?>
